{% extends "ajax/soul/shell.html.twig" %}
{% block soul_content %}
    <div class="row me">
        <div class="cell rw-12 center night hide-md hide-lg hide-sm"></div>
        <div class="cell rw-12 center skills">
            <div class="bar">
                <div class="hide-lg hide-sm hide-md">
                    <div class="progresstext"><span class="text">{{progress}}%</span></div>
                    <div class="progressbar left">
                        <img src="{{ asset('build/images/soul/heroUp_bar.gif') }}" style="width : {{progress}}%;" />
                    </div>
                </div>

            </div>
            <div class="rp-context">
                {{'Letzter freigeschalteter Heldenvorteil:'|trans({}, 'game')}}
                <strong>{% if latestSkill is not null %}
                    <img src="{{asset('build/images/heroskill/' ~ latestSkill.icon ~ '.gif')}}" alt="">
                    {{latestSkill.title|trans({}, 'game')}}
                {% else %}
                    {{'Niemand'|trans({}, 'game')}}
                {% endif %}</strong>
            </div>
            <div>
                <span class="small link" x-ajax-href="{{ path('soul_heroskill') }}">{{'Alle freigeschalteten Vorteile anzeigen'|trans({}, 'game')}}</span>
            </div>
        </div>
        <div class="cell rw-5 rw-sm-12 distinctions">
            <div class="distinctions-head center">
                {{ 'Statistiken'|trans({}, 'global') }}
            </div>
            <div class="distinctions-list center">
                <div class="overall">
                    {{ '%points% Punkte'|trans({'%points%':points}, 'global') }}
                </div>
                {% if pictos|length == 0 %}
                <div class="list empty">
                    {{ 'Dieser Spieler hat bisher noch keine Preise gewonnen...'|trans({}, 'global') }}
                </div>
                {% else %}
                <div class="list">
                    {% for picto in pictos %}
                        <div class="picto{% if picto.rare %} rare{% endif %}">
                            <span>
                                <img src="{{  asset('build/images/pictos/' ~ picto.icon ~ '.gif') }}" /><br />
                                <div class="counter">
                                {% for number in picto.c|split('') %}<span class="count" title="{{number}}">{{number}}</span>{% endfor %}
                                </div>
                            </span>
                            <div class="tooltip">
                                <h1>{{ picto.label|trans({}, 'game') }}</h1>
                                {{ picto.description|trans({}, 'game')}}</em>
                            </div>
                        </div>
                        {% endfor %}
                </div>
                {% endif %}
            </div>
            <div class="distinctions-foot">
                &nbsp;
            </div>
        </div>
        <div class="cell padded rw-7 rw-sm-12">

            <div class="score"><img src="{{ asset('build/images/soul/small_score.gif') }}" alt="" /> {{ 'Seelenpunktzahl'|trans({}, 'global') }} : <strong>{{ '%points% Punkte'|trans({'%points%': app.user.soulPoints}, 'global') }}</strong> <a class="help-button"><div class="tooltip help">{{ 'Diese Punkte werden für die Seelenrangliste verwendet.'|trans({},'global') }}<p style="color: #f0d79e;"><i>{{ 'Abhängig von der Anzahl der Tage, die du überlebt hast, erhältst du nach jeder Partie eine bestimmte Anzahl an Punkten.'|trans({},'global') }}</i></p></div>{{ 'Hilfe'|trans({},'global') }}</a></div>

            {% for incarnation in app.user.pastLifes %}
                {# @var incarnation \App\Entity\CitizenRankingProxy #}
                {% if incarnation.end is null %}
                    <div class="current">
                        <em>{{'Aktuelles Leben'|trans({}, 'global')}} : </em><br /><strong><img src="{{ asset('build/images/soul/r_explor.gif') }}" alt="" /> {{ incarnation.town.name }}</strong> ({{ 'Tag %day%'|trans({ '%day%':incarnation.town.days }, 'game') }})
                    </div>
                {% endif %}
            {% endfor %}

            <div class="town-history">
                <div class="row header">
                    <div class="cell padded rw-2 center">
                        {{'Saison'|trans({}, 'global')}}
                    </div>
                    <div class="cell padded rw-6 center">
                        {{'Stadt'|trans({}, 'game')}}
                    </div>
                    <div class="cell padded rw-2 center">
                        {{'Tage'|trans({}, 'global')}}
                    </div>
                    <div class="cell padded rw-2 center">
                        {{'Punkte'|trans({}, 'global')}}
                    </div>
                </div>
                <div class="town-container" id="town-list">
                    {#@var incarnation CitizenRankingProxy #}
                    {% for incarnation in app.user.pastLifes|filter(incarnation => incarnation.end is not null)|sort((a,b) => a.day < b.day)|slice(0, 10) %}
                        <div class="row{% if incarnation.town.type.name == 'panda' %} hardcore{% endif %}">
                            <div class="cell padded rw-2 center">
                                {% if incarnation.town.season is null %}
                                    --
                                {% else %}
                                    {{ incarnation.town.season.number }}
                                {% endif %}
                            </div>
                            <div class="cell padded rw-6 center town-name">
                                <div x-ajax-href="{{ path('soul_view_town', {id: incarnation.town.id}) }}">{% if incarnation.town.type.name == 'panda' %}<img src="{{ asset('build/images/soul/r_cannib.gif') }}" alt="" /> {% endif %}{{ incarnation.town.name }}</div>
                                <div x-town-id="{{ incarnation.id }}" class="comment"><em>{% if not incarnation.comment is empty %}{{incarnation.comment}}{% else %}<span class="add-comment">{{'Einen Kommentar hinzufügen'|trans({}, 'soul')}}</span>{% endif %}</em></div>
                            </div>
                            <div class="cell padded rw-2 center town-days bold">
                                {{ incarnation.day }}
                                {% if incarnation.town.town is not null and incarnation.town.town.aliveCitizen %}
                                    <span>
                                        <img src="{{asset('build/images/icons/small_new.gif')}}" />
                                        <div class="tooltip">
                                            {{ 'Es sind in dieser Stadt noch ein paar Bürger übrig...'|trans({}, 'soul') }}
                                        </div>
                                    </span>
                                {% endif %}
                            </div>
                            <div class="cell padded rw-2 center town-points bold">
                                +{{incarnation.points}}
                            </div>
                        </div>
                    {% else %}
                        <div class="row">
                            <div class="empty">
                                {{'Es wurde keine Stadt gefunden...'|trans({}, 'global')}}
                            </div>
                        </div>
                    {% endfor %}
                </div>
                <div class="row">
                    <div class="cell padded rw-6">
                        <select name="season" id="season">
                            {% for season in seasons %}
                                <option value="{{season.id}}">{{season.name}}</option>
                            {% endfor %}
                            <option value="-1">{{'Alte Städte'|trans({}, "soul")}}</option>
                        </select>
                    </div>
                    <div class="cell padded rw-6 right">
                        <input type="checkbox" name="limit-10" id="limit-10" checked /> <label for="limit-10" class="small">{{'Nur 10 Städte anzeigen'|trans({}, 'soul')}}</label>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {% endblock %}
    {% block js %}
        {{parent()}}
        <script>
        const add_comment = function(id) {
            let comment = null;
            let valid = false;
            comment = window.prompt("{{ 'Was sagst du dazu?'|trans({},'game')|e('js') }}", "");
            if (comment === null) valid = false;
            else {
                valid = !(comment === "")
            }

            if (!valid) return;

            $.ajax.easySend( '{{ path('soul_add_comment') }}', {id: id, comment: comment},
                function () {
                    $.ajax.load(null, '{{ path('soul_me') }}', true);
                } );
        };

        let buttons = document.querySelectorAll('[x-town-id]');
        for (let i = 0; i < buttons.length; i++)
            buttons[i].addEventListener('click', function(e) { e.preventDefault(); e.stopPropagation(); add_comment( this.getAttribute('x-town-id') ); });

        let season_select = document.getElementById('season');
        if (season)
            season_select.addEventListener('change', function(e) { $.ajax.no_history().load( document.getElementById('town-list'), '{{ path('soul_get_towns', {user_id: app.user.id}) }}', false, {season: this.value, limit10: document.getElementById("limit-10").checked } ) } );

        let limit_checkbox = document.getElementById('limit-10');
        if (season)
            limit_checkbox.addEventListener('change', function(e) { $.ajax.no_history().load( document.getElementById('town-list'), '{{ path('soul_get_towns', {user_id: app.user.id}) }}', false, {season: document.getElementById('season').value, limit10: this.checked } ) } );
        </script>
    {% endblock %}